Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IEditorReference

All Superinterfaces:
  IWorkbenchPartReference

public interface IEditorReference
extends IWorkbenchPartReference

Implements a reference to a editor. The IEditorPart will not be instanciated until the editor becomes visible or the API getEditor is sent with true;

This interface is not intended to be implemented by clients.

Method Summary
`IEditorPart` | `getEditor(boolean restore)` Returns the IEditorPart referenced by this object.
`String` | `getFactoryId()` Returns the factory id of the factory used to restore this editor.
`String` | `getName()` Returns the editor input name.
`boolean` | `isDirty()` Returns true if the editor is dirty otherwise returns false.
`boolean` | `isPinned()` Returns true if the editor is pinned otherwise returns false.

Methods inherited from interface org.eclipse.ui.IWorkbenchPartReference
`addPropertyListener, getContentDescription, getId, getPage, getPart, getPartName, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Method Detail

### getFactoryId

    public String getFactoryId()

  Returns the factory id of the factory used to restore this editor. Returns null if the editor is not pesistable.

### getName

    public String getName()

  Returns the editor input name. May return null is the name is not available or if the editor failed to be restored.

### getEditor

    public IEditorPart getEditor(boolean restore)

  Returns the IEditorPart referenced by this object. Returns null if the editors was not instanciated or it failed to be restored. Tries to restore the editor if `restore` is true.

### isDirty

    public boolean isDirty()

  Returns true if the editor is dirty otherwise returns false.

### isPinned

    public boolean isPinned()

  Returns true if the editor is pinned otherwise returns false.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.